=== debian/changelog ===
cminpack (1.1.3-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:29:05 +0100

cminpack (1.1.3-1) unstable; urgency=low

  * Initial release (Closes: #624183)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 27 Apr 2011 08:31:36 +0200
