=== debian/control ===
Source: cminpack
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~)
Standards-Version: 3.9.2
Homepage: http://devernay.free.fr/hacks/cminpack/cminpack.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/cminpack/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/cminpack/trunk/

Package: libcminpack-dev
Section: libdevel
Architecture: any
Depends: libcminpack1.0.90 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Nonlinear equations and nonlinear least squares problems - development
 Minpack includes software for solving nonlinear equations and nonlinear least
 squares problems. Five algorithmic paths each include a core subroutine and an
 easy-to-use driver. The algorithms proceed either from an analytic
 specification of the Jacobian matrix or directly from the problem functions.
 The paths include facilities for systems of equations with a banded Jacobian
 matrix, for least squares problems with a large amount of data, and for
 checking the consistency of the Jacobian matrix with the functions.
 .
 This is the C re-write of the original fortran minpack implementation.
 .
 This package contains development files needed to build cminpack applications.

Package: libcminpack1.0.90
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nonlinear equations and nonlinear least squares problems - runtime
 Minpack includes software for solving nonlinear equations and nonlinear least
 squares problems. Five algorithmic paths each include a core subroutine and an
 easy-to-use driver. The algorithms proceed either from an analytic
 specification of the Jacobian matrix or directly from the problem functions.
 The paths include facilities for systems of equations with a banded Jacobian
 matrix, for least squares problems with a large amount of data, and for
 checking the consistency of the Jacobian matrix with the functions.
 .
 This is the C re-write of the original fortran minpack implementation.
 .
 This package contains the libraries needed to run cminpack applications.
