=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh --parallel --with quilt --buildsystem=cmake $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE:STRING=Release -DUSE_FPIC:BOOL=ON -DSHARED_LIBS:BOOL=ON -DBUILD_EXAMPLES:BOOL=OFF

get-orig-source:
	uscan --verbose --force-download --repack --rename
