=== debian/watch ===
version=3
http://devernay.free.fr/hacks/cminpack/cminpack.html cminpack-(.*)\.tar\.gz
