## cminpack 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,9 @@
 else (SHARED_LIBS)
   message (STATUS "Building static libraries.")
   set (LIB_TYPE STATIC)
+  if(WIN32)
+    add_definitions(-DCMINPACK_NO_DLL)
+  endif(WIN32)
 endif (SHARED_LIBS)
 
 #set(CMAKE_INSTALL_PREFIX ${PROJECT_SOURCE_DIR}/../build)
