=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE=cminpack
-VERSION=1.1.3
+VERSION=1.1.4
 
 #CC=cc
 CC=gcc
