=== debian/changelog ===
cminpack (1.1.4-3) unstable; urgency=low

  * Remove manpages, conflicts with minpack-dev. Closes: #668551
  * Add recommends on minpack-dev

 -- Mathieu Malaterre <malat@debian.org>  Fri, 13 Apr 2012 13:59:12 +0200

cminpack (1.1.4-2) unstable; urgency=low

  * Use my @d.o alias
  * Remove DMUA flag
  * Make multiarch
  * Use hardening flags
  * Make sure to link to math lib
  * Bump Std-Vers to 3.9.3, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Apr 2012 18:35:17 +0200

cminpack (1.1.4-1) unstable; urgency=low

  * New upstream:
    - Translated all the Levenberg-Marquardt code to use C-style indices.
  * Fix lintian warning about d/copyright

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 03 Jan 2012 14:55:10 +0100
