=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~)
-Standards-Version: 3.9.2
+Uploaders: Mathieu Malaterre <malat@debian.org>
+Build-Depends: debhelper (>= 9), cmake
+Standards-Version: 3.9.3
 Homepage: http://devernay.free.fr/hacks/cminpack/cminpack.html
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/cminpack/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/cminpack/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cminpack/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-science/packages/cminpack/trunk/
 
 Package: libcminpack-dev
 Section: libdevel
 Architecture: any
-Depends: libcminpack1.0.90 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libcminpack1.0.90 (= ${binary:Version}), ${misc:Depends}
+Recommends: minpack-dev
 Description: Nonlinear equations and nonlinear least squares problems - development
  Minpack includes software for solving nonlinear equations and nonlinear least
  squares problems. Five algorithmic paths each include a core subroutine and an
@@ -30,6 +30,7 @@
 Package: libcminpack1.0.90
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Nonlinear equations and nonlinear least squares problems - runtime
  Minpack includes software for solving nonlinear equations and nonlinear least
  squares problems. Five algorithmic paths each include a core subroutine and an
@@ -42,3 +43,20 @@
  This is the C re-write of the original fortran minpack implementation.
  .
  This package contains the libraries needed to run cminpack applications.
+
+Package: cminpack-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Nonlinear equations and nonlinear least squares problems - runtime
+ Minpack includes software for solving nonlinear equations and nonlinear least
+ squares problems. Five algorithmic paths each include a core subroutine and an
+ easy-to-use driver. The algorithms proceed either from an analytic
+ specification of the Jacobian matrix or directly from the problem functions.
+ The paths include facilities for systems of equations with a banded Jacobian
+ matrix, for least squares problems with a large amount of data, and for
+ checking the consistency of the Jacobian matrix with the functions.
+ .
+ This is the C re-write of the original fortran minpack implementation.
+ .
+ This package contains documentation files for cminpack.
