=== debian/changelog ===
cminpack (1.2.2-1) unstable; urgency=low

  * New upstream
  * Fix d/watch file
  * Add symbols file
  * d/control fix new Homepage

 -- Mathieu Malaterre <malat@debian.org>  Fri, 08 Jun 2012 14:51:05 +0200
