=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), cmake
 Standards-Version: 3.9.3
-Homepage: http://devernay.free.fr/hacks/cminpack/cminpack.html
+Homepage: http://devernay.free.fr/hacks/cminpack/index.html
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cminpack/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/cminpack/trunk/
