=== debian/changelog ===
cminpack (1.3.0-2) unstable; urgency=low

  * Upload to sid
  * Bump Std-Vers to 3.9.4, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Mon, 13 May 2013 11:55:15 +0200

cminpack (1.3.0-1) experimental; urgency=low

  * New upstream

 -- Mathieu Malaterre <malat@debian.org>  Sat, 19 Jan 2013 21:27:43 +0100
