=== debian/changelog ===
cminpack (1.3.1-1) unstable; urgency=low

  * New upstream. Remove non-free files. Closes: #724923
  * Fix invalid SOVERSION bump
    + d/p/fixsoversion.patch

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Oct 2013 08:04:22 +0200
