=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://devernay.free.fr/hacks/cminpack/index.html
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cminpack/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/cminpack/trunk/
