=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel --buildsystem=cmake

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
 -DUSE_FPIC:BOOL=ON \
 -DCMINPACK_LIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH) \
 -DSHARED_LIBS:BOOL=ON \
 -DBUILD_EXAMPLES:BOOL=OFF

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

get-orig-source:
	uscan --verbose --force-download --repack --rename
